PHP Manual
Prev |  | Next

# ctype_punct

(PHP 4 >= 4.0.4, PHP 5)

ctype_punct -- Check for any printable character which is not whitespace or an alphanumeric character

## Description

bool ctype_punct ( string text )

Checks if all of the characters in the provided string, `text`, are punctuation character.

## Parameters

`text`

  The tested string.

## Return Values

Returns `TRUE` if every character in `text` is printable, but neither letter, digit or blank, `FALSE` otherwise.

## Examples

Example 1. A ctype_punct() example

`<?php $strings = array('ABasdk!@!$#', '!@ # $', '*&$()'); foreach ($strings as $testcase) { if (ctype_punct($testcase)) { echo "The string $testcase consists of all punctuation.\n"; } else { echo "The string $testcase does not consist of all punctuation.\n"; } } ?>`

The above example will output:

    The string ABasdk!@!$# does not consist of all punctuation.
    The string !@ # $ does not consist of all punctuation.
    The string *&$() consists of all punctuation.

## See Also

ctype_cntrl()
ctype_graph()

Prev | Home | Next
ctype_print | Up | ctype_space